﻿.shortcutbar {
    background: $color-primary;
    border-radius: 50%;
    bottom: 10px;
    box-shadow: 0 0 5px rgba(0,0,0,0.4);
    height: em($navigation-height);
    line-height: em($navigation-height);
    overflow-y: hidden;
    padding: 0;
    position: fixed;
    right: 10px;
    width: em($navigation-height);
    z-index: $navigations-zindex;

    @include mq("sd") {
        bottom: 0;
        border-radius: 0;
        height: 100%;
        overflow-y: auto;
        padding: 0 em($padding-default);
        right: 0;
        top: 0;
        width: em($shortcut-bar-min-width);
        z-index: $navigations-zindex + 2;
    }

    @include bem-m("expanded") {
        border-radius: 0;
        bottom: 0;
        height: auto;
        overflow-y: auto;
        padding: $padding-default * 2 0;
        right: 0;
        width: 100%;
        z-index: $navigations-zindex + 15;

        @include mq("sd") {
            height: 100%;
            max-width: 800px;
            padding: 0 em($padding-default);
            width: 70%;
        }


        .shortcutbar__logo-text {
            display: inline-block;
            vertical-align: middle;
        }

        .shortcutbar__logo-wrapper {
            text-align: right;
        }

        .shortcutbar__links-wrapper {
            display: block;
        }

        .shortcutbar__search-form {
            @include mq("sd") {
                display: block;
            }
        }
    }

    @include bem-e("overlay") {
        background-color: rgba(0,0,0,0.6);
        height: 0;
        position: fixed;
        right: 0;
        top: 0;
        transition: opacity ease-in-out 0.2s;
        width: 0;
        z-index: -1000;

        @include bem-m("active") {
            bottom: 0;
            height: 100%;
            left: 0;
            opacity: 1;
            width: 100%;
            z-index: $navigations-zindex + 10;
        }
    }


    $icon-size: 24px;

    @include bem-e("show-menu-btn") {
        background: $color-primary;
        border: none;
        display: block;
        height: $navigation-height;
        outline: none;
        position: relative;
        width: $navigation-height;
        z-index: 2;

        @include bem-e("icon") {
            display: block;
            margin: 0 auto;
            width: $icon-size;
        }

        @include mq("sd") {
            position: absolute;
            bottom: 0;
            float: none;
            right: 0;
            width: em($shortcut-bar-min-width);
        }
    }

    @include bem-e("logo-wrapper") {
        display: none;
        text-align: center;

        @include mq("sd") {
            display: block;
        }
    }

    @include bem-e("logo") {
        display: inline-block;
        vertical-align: middle;
        width: $icon-size + 10;
    }

    @include bem-e("logo-text") {
        color: $color-white;
        display: none;
        font-size: 12px;
        line-height: 1.5;
        padding-right: $padding-default / 2;
        text-align: right;
    }


    @include bem-e("links-wrapper") {
        display: none;
        position: relative;
        padding: 0px 25px;
        z-index: 1;

        @include mq("sd") {
            display: block;
            float: right;
            height: auto;
            margin-right: -$padding-default;
            padding: 25px 0 0 0;
            text-align: center;
            width: em($shortcut-bar-min-width);

            &:after {
                background: linear-gradient(0deg, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 50%, rgba(255,255,255,0) 100%);
                content: "";
                height: 80%;
                left: 0;
                position: absolute;
                top: 10%;
                width: 1px;
            }
        }
    }

    @include bem-e("link-btn") {
        color: $color-white;
        display: inline-block;
        font-size: 12px;
        height: $navigation-height;
        line-height: 2.2;
        margin-bottom: $padding-default;
        min-height: 80px;
        padding: 0;
        text-align: center;
        text-decoration: none;
        vertical-align: top;
        width: 32%;

        &:hover {
            background-color: $color-primary--dark;
            color: $color-white;
            text-decoration: none;
        }

        @include mq("sd") {
            display: block;
            height: auto;
            min-height: unset;
            margin-bottom: $padding-default / 2;
            padding-top: 2px;
            width: 100%;
        }

        @include bem-e("icon") {
            display: block;
            margin: 0 auto 5px auto;
            vertical-align: middle;
            width: $icon-size * 1.5;

            @include mq("sd") {
                width: $icon-size *1.2;
            }
        }

        @include bem-e("text") {
            display: inline-block;
            vertical-align: middle;

            @include mq("sd") {
                display: block;
                font-size: 10px;
                line-height: 1.5;
                width: 90%;
            }
        }
    }



    @include bem-e("search-form") {
        display: none;

        @include mq("sd") {
            margin: 0 auto;
            max-height: 90%;
            overflow-y: auto;
            padding: 60px 80px;
        }
    }

    @include bem-e("search-input-wrapper") {
        display: block;
        margin-bottom: $padding-default * 2;
        position: relative;
    }

    @include bem-e("search-input") {
        background: $color-white;
        border: none;
        display: block;
        font-size: 14px;
        height: 42px;
        padding: 5px 15px;
        position: relative;
        width: 100%;
    }

    @include bem-e("search-result") {
        color: $color-white;
        display: flex;
        font-size: 14px;
        flex-wrap: wrap;
        justify-content: space-between;
    }

    @include bem-e("search-link") {
        color: $color-white;
        cursor: pointer;
        display: inline-block;
        flex: 0 0 49%;
        font-size: 14px;
        line-height: 1.8;
        margin-bottom: $padding-default / 1.5;
        padding: $padding-default;
        text-align: center;
        text-decoration: none;
        vertical-align: top;
        width: 49%;

        &:hover {
            color: $color-white;
            text-decoration: none;
        }

        @include bem-m("danger") {
            background: $color-danger;

            &:hover {
                background: $color-danger--dark;
            }
        }

        @include bem-m("success") {
            background: $color-success;

            &:hover {
                background: $color-success--dark;
            }
        }

        @include bem-m("info") {
            background: $color-info;

            &:hover {
                background: $color-info--dark;
            }
        }

        @include bem-m("warning") {
            background: $color-warning;

            &:hover {
                background: $color-warning--dark;
            }
        }

        @include bem-m("gray") {
            background: $color-gray;

            &:hover {
                background: $color-gray--dark;
            }
        }

        @include bem-e("icon") {
            display: block;
            margin: 0 auto 5px auto;
            width: 50px;
        }

        @include bem-e("category") {
            font-size: 12px;
            opacity: 0.7;
            margin-top: 5px;
        }
    }
}
